
QGIS Application - Bug report #9838

bug in fTools

2014-03-23 10:49 AM - Szymon Oleksiewicz

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18368

Description

Wystąpił błąd podczas wykonywania kodu Pythona:

Traceback (most recent call last):

  File "D:\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 310, in run

    geos, feature, match, error = self.intersect()

  File "D:\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools\\doGeoprocessing.py", line 922, in intersect

    fields = ftools_utils.combineVectorFields( self.vlayerA, self.vlayerB )

  File "D:\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools\\ftools_utils.py", line 78, in combineVectorFields

    fieldsB = testForUniqueness( fieldsA, fieldsB )

  File "D:\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools\\ftools_utils.py", line 163, in testForUniqueness

    fieldList2[j] = createUniqueFieldName( fieldList2[j] )

  File "D:\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools\\ftools_utils.py", line 179, in createUniqueFieldName

    except exceptions.ValueError:

NameError: global name 'exceptions' is not defined

Wersja Pythona:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

Wersja QGIS:

2.2.0-Valmiera Valmiera, c3a2817

Lokalizacja Pythona: ['D:/QGISVA~1/apps/qgis/./python/plugins\\\\processing', 'D:/QGISVA~1/apps/qgis/./python',

u'C:/Users/szymon/.qgis2/python', u'C:/Users/szymon/.qgis2/python/plugins', 'D:/QGISVA~1/apps/qgis/./python/plugins',

'D:\\\\QGISVA~1\\\\bin\\\\python27.zip', 'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\DLLs', 'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\plat-win', 'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'D:\\\\QGISVA~1\\\\bin',

'D:\\\\QGISVA~1\\\\apps\\\\Python27', 'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',

'D:\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'D:\\\\QGISVA~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools', 'D:/qgis/nauczyciele/baza2']

Associated revisions

Revision 7c2038d4 - 2014-03-24 06:45 PM - Alexander Bruy
fix #9838

History

#1 - 2014-03-24 10:07 AM - Alexander Bruy

- Operating System deleted (win 7 32)

- Target version deleted (Version 2.2)

- Category changed from Python plugins to 44

#2 - 2014-03-24 10:46 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"7c2038d4bc05bf7365182c91c665712215fce4fe".

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
